%define		vendor_version	3.18.3

Summary:	The Kubernetes Package Manager
Name:		helm
Version:	3.18.3
Release:	1
License:	Apache v2.0
Group:		Applications
Source0:	https://github.com/helm/helm/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	37da70c53450a87cc3e4610ef749714a
Source1:	%{name}-vendor-%{vendor_version}.tar.xz
# Source1-md5:	02e95ecc85d9e8a2e0d9177f97d28f0e
URL:		https://helm.sh/
BuildRequires:	golang >= 1.24.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.009
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	_debugsource_packages

%description
Helm is a tool for managing Charts. Charts are packages of
pre-configured Kubernetes resources.

Use Helm to:
- Find and use popular software packaged as Helm Charts to run in
  Kubernetes
- Share your own applications as Helm Charts
- Create reproducible builds of your Kubernetes applications
- Intelligently manage your Kubernetes manifest files
- Manage releases of Helm packages

%package -n bash-completion-helm
Summary:	Bash completion for helm command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-helm
Bash completion for helm command line.

%package -n fish-completion-helm
Summary:	fish-completion for helm
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-helm
fish-completion for helm.

%package -n zsh-completion-helm
Summary:	ZSH completion for helm command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-helm
ZSH completion for helm command line.

%prep
%setup -q -a1

%{__mv} %{name}-%{vendor_version}/vendor .

%build
ldflags="\
	-X helm.sh/helm/v3/internal/version.version=%{version} \
	-X helm.sh/helm/v3/internal/version.metadata= \
	-X helm.sh/helm/v3/internal/version.gitCommit= \
"
%__go build -v -mod=vendor -ldflags="$ldflags" -o target/helm ./cmd/helm

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{bash_compdir},%{fish_compdir},%{zsh_compdir}}
install -p target/helm $RPM_BUILD_ROOT%{_bindir}

./target/helm completion bash > $RPM_BUILD_ROOT%{bash_compdir}/helm
./target/helm completion fish > $RPM_BUILD_ROOT%{fish_compdir}/helm.fish
./target/helm completion zsh > $RPM_BUILD_ROOT%{zsh_compdir}/_helm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/helm

%files -n bash-completion-helm
%defattr(644,root,root,755)
%{bash_compdir}/helm

%files -n fish-completion-helm
%defattr(644,root,root,755)
%{fish_compdir}/helm.fish

%files -n zsh-completion-helm
%defattr(644,root,root,755)
%{zsh_compdir}/_helm
%changelog
* Thu Jun 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/helm.git;a=log;h=master

* Thu Jun 26 2025 Jan Palus <atler@pld-linux.org> dc4b72d
- up to 3.18.3

* Thu Jun 26 2025 Jan Palus <atler@pld-linux.org> 1d1c429
- use new way to disable debugsource packages

* Wed Jul 17 2024 Jan Palus <atler@pld-linux.org> a671eab
- up to 3.15.3

* Mon Jul 11 2022 Jan Palus <atler@pld-linux.org> 0038eb7
- correct bash-completion epoch

* Mon Jul 11 2022 Jan Palus <atler@pld-linux.org> 209c953
- up to 3.9.0

* Fri Mar 04 2022 Elan Ruusamäe <glen@pld-linux.org> dda87b8
- Indenting cosmetic

* Wed Feb 23 2022 Jan Palus <atler@pld-linux.org> 118d747
- new

